
// Do not change this file

#ifndef STRING_SET_H
#define STRING_SET_H

// admit a struct exists, but do not say what fields it has
struct StringSet;

struct StringSet * new_string_set();

int use_string_set(struct StringSet *set);

void finished_string_set(struct StringSet *set);
void destroy_string_set(struct StringSet *set);

int string_set_member(struct StringSet *set, char* str);

int string_set_add(struct StringSet *set, char* str);

int string_set_foreach(struct StringSet *set, void (*f)(char*));

#endif
