#ifndef STRING_SET_CLASSES_H
#define STRING_SET_CLASSES_H

#include <string>

using namespace std;

class StringDoer {
public:
  virtual void f(string) = 0;
  virtual ~StringDoer() {}
};

class StringSet {
public:
  virtual ~StringSet();
  virtual bool member(string) = 0;
  virtual void add(string) = 0;
  virtual void foreach(StringDoer*) = 0;
};

/* YOUR CODE HERE */

class StringList;

class StringSetList : public StringSet {
public:
  StringSetList();
  virtual ~StringSetList();
  bool member(string);
  void add(string);
  void foreach(StringDoer*);
private:
  StringList * elts;
};

#endif
